<template>
    <v-container>
        <v-row align="center" align-content="center" justify="center">
            <v-col cols="8">
                <v-card :key="this.userId">
                    <v-card-title>پروفایل</v-card-title>
                    <v-card-text>
                        <v-text-field v-model="profile.get_percent" label="درصد تکمیل پروفایل" readonly
                                      disabled></v-text-field>
                        <v-text-field v-model="user.first_name" label="نام"></v-text-field>
                        <v-text-field v-model="user.last_name" label="نام خانوادگی"></v-text-field>
                        <v-text-field v-model="user.email" label="ایمیل" type="email"></v-text-field>
                        <v-text-field v-model="user.mobile_number" label="تلفن همراه"></v-text-field>
                        <v-text-field v-model="user.national_code" label="کد ملی"></v-text-field>
                        <v-date-picker v-model="profile.born_date" landscape></v-date-picker>
                    </v-card-text>
                    <v-card-title>پروفایل تخصصی</v-card-title>
                    <v-card-text>
                        <v-text-field v-model="typeProfile.current_club" label="باشگاه فعلی"></v-text-field>
                        <v-select
                                v-if="userType.code_name === 'player_code'"
                                v-model="selectedFoot"
                                :items="footItems"
                                label="پای تخصصی"
                        ></v-select>
                        <v-text-field v-model="typeProfile.height" label="قد" type="number"></v-text-field>
                        <v-text-field v-model="typeProfile.weight" label="وزن" type="number"></v-text-field>
                    </v-card-text>
                    <v-card-actions>
                    </v-card-actions>
                </v-card>
            </v-col>
        </v-row>
    </v-container>
</template>

<script>
    import {
        refreshTokenIfNeeded,
        getRefreshToken
    } from "axios-jwt";

    export default {
        name: "ProfileGeneral",
        props: ['id'],
        data() {
            return {
                user: {},
                userId: 0,
                profile: {},
                typeProfile: {},
                userType: {},
                footItems: [
                    {
                        text: "راست",
                        value: 0
                    },
                    {
                        text: "چپ",
                        value: 1
                    },
                    {
                        text: "هردو",
                        value: 2
                    },
                ],
                selectedFoot: {}
            }
        },
        created() {
            this.fetchProfile()
        },
        watch: {
            id() {
                this.fetchProfile()
            }
        },
        methods: {
            fetchProfile() {
                console.log(getRefreshToken());
                console.log(refreshTokenIfNeeded());
                this.$axios.get(process.env.VUE_APP_BACKEND_URL + "/api/auth/profile")
                    .then(response => {
                        console.log(response.data);
                        this.user = response.data.user;
                        this.userId = response.data.user.id;
                        this.profile = this.user.profile;
                        this.userType = this.user.type_user;
                        this.typeProfile = response.data.player_info != null ? response.data.player_info : response.data.coach_info
                    })
            }
        },
    }
</script>

<style scoped>

</style>
